Skip to main content
GET
/
v1
/
matrix
/
view
/
{matrixId}
Get matrix user view
curl --request GET \
  --url https://staging.api.us.aptlydone.com/matrix/v1/matrix/view/{matrixId} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:22.023Z",
  "message": "Success",
  "data": {
    "id": "62909f2b-594a-433f-a752-a22a439fd6de",
    "matrixId": "c8e0b94a-3309-4e15-90c9-b8db44764263",
    "userId": "2797187e-61d6-43d8-a775-cf9cd182c52b",
    "viewData": {},
    "createdOn": "2026-01-08T06:33:22.378Z",
    "updatedOn": "2026-01-08T06:33:22.378Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

matrixId
string
required

Response

200 - application/json

Matrix view retrieved successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:22.023Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data